[bar/top]
monitor = ${env:MONITOR:}
width = 100%
height = 34

background = #ff2e3440
foreground = #ccffffff

line-color = #00000000
line-size = 2

; If you want tray icons to be on the top bar use this.
tray-position=right
tray-padding=2

spacing = 2
padding-right = 5
module-margin = 4

font-0 = PT Sans Caption:size=10;2
font-1 = FontAwesome:size=12;1
font-2 = MaterialIcons:size=12;3
font-3 = Termsynu:size=10:antialias=false;1

modules-left = i3 title
modules-center = date
modules-right = cpu memory volume wired-network powermenu

[module/cpu]
type = internal/cpu
interval = 2
format = <label>
label = CPU %percentage%

[module/date]
type = internal/date
date =    %A %Y-%m-%d%  %H:%M:%S

[module/memory]
type = internal/memory
format = <label> <bar-used>
label = RAM

bar-used-width = 10
bar-used-foreground-0 = #a3be8c
bar-used-foreground-1 = #aaff77
bar-used-foreground-2 = #ebcb8b
bar-used-foreground-3 = #bf616a
bar-used-indicator = |
bar-used-indicator-font = 6
bar-used-indicator-foreground = #e5e9f0
bar-used-fill = ─
bar-used-fill-font = 6
bar-used-empty = ─
bar-used-empty-font = 6
bar-used-empty-foreground = #444444

[module/wired-network]
type = internal/network
interface = enp30s0
interval = 3.0

label-connected =    %local_ip%
label-disconnected-foreground = #66

[module/volume]
type = internal/alsa
#speaker-mixer = Master
#headphone-mixer = Headphone
headphone-id = 9

format-volume = <ramp-volume> <label-volume>
label-muted =   muted
label-muted-foreground = #66

ramp-volume-0 = 
ramp-volume-1 = 
ramp-volume-2 = 
ramp-volume-3 = 

[module/powermenu]
type = custom/menu

;format-padding = 5

label-open = 
label-close = 

menu-0-0 = Terminate WM
menu-0-0-foreground = #fba922
menu-0-0-exec = i3-msg exit
menu-0-1 = "  Reboot"
menu-0-1-foreground = #fba922
menu-0-1-exec = i3exit reboot
menu-0-2 = "  Power off"
menu-0-2-foreground = #fba922
menu-0-2-exec = shutdown now

menu-1-0 = Cancel
menu-1-0-foreground = #fba922
menu-1-0-exec = menu_open-0
menu-1-1 = Reboot
menu-1-1-foreground = #fba922
menu-1-1-exec = sudo reboot

menu-2-0 = Power off
menu-2-0-foreground = #fba922
menu-2-0-exec = sudo poweroff
menu-2-1 = Cancel
menu-2-1-foreground = #fba922
menu-2-1-exec = menu_open-0

[module/i3]
type = internal/i3
format = <label-state> <label-mode>
index-sort = true
wrapping-scroll = false

label-focused = %icon%
label-focused-underline=#a3be8c
label-focused-padding = 2

label-unfocused = %icon%
label-unfocused-padding = ${self.label-focused-padding}

label-urgent = %icon%!
label-urgent-background = #bf616a
label-urgent-padding = ${self.label-focused-padding}

label-visible = %icon%
label-visible-padding = ${self.label-focused-padding}

label-mode-padding = ${self.label-focused-padding}
label-mode-foreground = #000
label-mode-background = #ffb52a

#Shuffle these icons around as much as you like
ws-icon-0 = 1;
ws-icon-1 = 2;
ws-icon-2 = 3;
ws-icon-default = 
;ws-icon-n = code;
;ws-icon-n = music;


[module/title]
type=internal/xwindow

format=<label>
format-background=#2e3440
format-foreground=#d8dee9
format-padding=4

label=%title%
